package com.dxhy.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.utils.PageUtils;
import com.dxhy.manage.entity.SysInterfaceAuthority;
import com.dxhy.manage.entity.SysInterfaceInfo;

import java.util.Map;

public interface SysInterfaceService extends IService<SysInterfaceAuthority> {
    PageUtils queryPage(Map<String, Object> params);

    void deleteInterface(long id);

    PageUtils unAuthList(Map<String, Object> params);

    void insertCompanyAuth(Map<String, Object> params);

    void insertInterface(SysInterfaceInfo sysInterfaceInfo);

    PageUtils listInterfaceInfo(Map<String, Object> params);

    void deleteInterfaceByid(long id);

    void insertBatchAuth(Map<String, Object> params);

    PageUtils unDeptList(Map<String, Object> params);
}
